Summary:	User & Group administration tools for Samba-OpenLDAP
Name: 		smbldap-tools
Version: 	0.9.1
Release: 	%mkrel 2
Group: 		System/Servers
License: 	GPL
URL:		http://samba.IDEALX.org/
Source0: 	http://samba.idealx.org/dist/smbldap-tools-%{version}.tar.bz2
Source1: 	mkntpwd.tar.bz2
Patch:		smbldap-tools-0.9.1-mdkconfig.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Smbldap-tools is a set of perl scripts written by Idealx. Those scripts are
designed to help managing users and groups in a ldap directory server and
can be used both by users and administrators of Linux systems:
. users can change their password in a way similar to the standard
  "passwd" command,
. administrators can perform users and groups management

Scripts are described in the Smbldap-tools User Manual
(http://samba.idealx.org/smbldap-tools.en.html) which also give command
line examples.
You can download the latest version on Idealx web site
(http://samba.idealx.org/dist/).
Comments and/or questions can be sent to the smbldap-tools mailing list
(http://lists.idealx.org/lists/samba).

%prep

%setup -q -a1
%patch -p1 -b .mdkconf

%build

pushd mkntpwd
%make CFLAGS="%{optflags}"
popd

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/smbldap-tools
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{perl_vendorlib}

install -m0644 smbldap.conf %{buildroot}%{_sysconfdir}/smbldap-tools/
install -m0644 smbldap_bind.conf %{buildroot}%{_sysconfdir}/smbldap-tools/
install -m0644 smbldap_tools.pm %{buildroot}%{perl_vendorlib}/

install -m0755 smbldap-groupadd %{buildroot}%{_sbindir}/
install -m0755 smbldap-groupdel %{buildroot}%{_sbindir}/
install -m0755 smbldap-groupmod %{buildroot}%{_sbindir}/
install -m0755 smbldap-groupshow %{buildroot}%{_sbindir}/
install -m0755 smbldap-passwd %{buildroot}%{_sbindir}/
install -m0755 smbldap-populate %{buildroot}%{_sbindir}/
install -m0755 smbldap-useradd %{buildroot}%{_sbindir}/
install -m0755 smbldap-userdel %{buildroot}%{_sbindir}/
install -m0755 smbldap-userinfo %{buildroot}%{_sbindir}/
install -m0755 smbldap-usermod %{buildroot}%{_sbindir}/
install -m0755 smbldap-usershow %{buildroot}%{_sbindir}/
install -m0755 mkntpwd/mkntpwd %{buildroot}%{_sbindir}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CONTRIBUTORS COPYING ChangeLog INFRA INSTALL README TODO doc
%doc smb.conf smbldap.conf smbldap_bind.conf configure.pl
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/smbldap-tools/smbldap.conf
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/smbldap-tools/smbldap_bind.conf
%attr(0755,root,root) %{_sbindir}/mkntpwd
%attr(0755,root,root) %{_sbindir}/smbldap-groupadd
%attr(0755,root,root) %{_sbindir}/smbldap-groupdel
%attr(0755,root,root) %{_sbindir}/smbldap-groupmod
%attr(0755,root,root) %{_sbindir}/smbldap-groupshow
%attr(0755,root,root) %{_sbindir}/smbldap-passwd
%attr(0755,root,root) %{_sbindir}/smbldap-populate
%attr(0755,root,root) %{_sbindir}/smbldap-useradd
%attr(0755,root,root) %{_sbindir}/smbldap-userdel
%attr(0755,root,root) %{_sbindir}/smbldap-usermod
%attr(0755,root,root) %{_sbindir}/smbldap-userinfo
%attr(0755,root,root) %{_sbindir}/smbldap-usershow
%attr(0644,root,root) %{perl_vendorlib}/smbldap_tools.pm

%changelog
* Sun Sep 18 2005 Buchan Milne <bgmilne@mandriva.org> 0.9.1-2mdk
- reapply changes as when shipped with samba to match our default smb.conf,
  LDAP layout, OpenLDAP ACLs, and default nss_ldap behaviour.

* Tue Jun 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-1mdk
- 0.9.1
- nuke redundant P0

* Wed Apr 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.8-1mdk
- 0.8.8
- use the %%mkrel macro
- rediff P0

* Thu Feb 17 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.7-5mdk
- nuke compat softlinks

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.7-4mdk
- provide compat softlinks

* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.7-3mdk
- provide mkntpwd (from older smbldap-tools source)

* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.7-2mdk
- put the *.pm file in %%{perl_vendorlib}/ (buchan)

* Mon Feb 14 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.7-1mdk
- initial Mandrakelinux package
- used parts of the provided spec file
- added P0
